unit SprInf;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
sac=record
nom:string;
typeobj:integer;
NomObj:string;
caract1,caract2,caract3,caract4,caract5:integer;
valeur:integer;
coup:integer;
mana:integer;
bool1:integer;
end;
  TSprInf = class(TComponent)
  private
    { Déclarations privées}
  FNbrObjet:integer;
  procedure GetNbrObj(a:integer);
  protected
    { Déclarations protégées}
  public
    { Déclarations publiques}
  Nom:string;
  Score,Vie,Bonus,Argent,Energie,Magie,Experience:Integer;
  inventaire:array of sac;
  published
    { Déclarations publiées}
  property NbrObjet:integer read FNbrObjet  write GetNbrObj default 0;

  end;

procedure Register;

implementation
procedure TSprinf.GetNbrObj(a:integer);
begin
if(a<>0)then
SetLength(inventaire,a);
fnbrobjet:=a;
end;
{$r sprinf.res}
procedure Register;
begin
  RegisterComponents('DelphiXPlus', [TSprInf]);
end;

end.
 